Bug 160320 - Gnome session will not open except as root
Gnome session will not open except as root
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: fontconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2005-06-14 09:37 EDT by R. James Cross, Jr.
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R. James Cross, Jr. 2005-06-14 09:37:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; BCD2000)

Description of problem:
I ran the latest series of updates to Enterprise Linux v. 3. I can get a Gnome session when logging in as root. When I log in as a normal user, it crashes immediately with the error: SESSION_MANAGER: local/xbeams.chem.yale.edu: tmp/.ICE-unix/8553 gnome-session: relocation error /usr/lib/fontconfig.so.1 undefined symbol FT_Get_BDF_Property.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log in to a Gnome session as a normal user (not root).

Actual Results:  It crashes and logs me out (see above error message)

Expected Results:  I should get a normal Gnome screen.

Additional info:

See above
Comment 1 Havoc Pennington 2005-06-16 10:15:07 EDT
Looks to me like you have a nonstandard copy of freetype in your path somehow?
Comment 2 RHEL Product and Program Management 2007-10-19 15:00:24 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.